function endebug(e, n) {
    var t;
    e || ((t = t || {}).create = function (e) {
        function n() {
            window.Firebug && window.Firebug.chrome && window.Firebug.chrome.isInitialized ? t("on") : (r = "off", console.log(u), console.clear(), t(r))
        }

        function t(e) {
            c !== e && (c = e, "function" == typeof i.onchange && i.onchange(e))
        }

        "function" == typeof e && (e = {onchange: e});
        var o = (e = e || {}).delay || 500, i = {};
        i.onchange = e.onchange;
        var r, u = new Image;
        u.__defineGetter__("id", (function () {
            r = "on"
        }));
        var c = "unknown";
        i.getStatus = function () {
            return c
        };
        var d, a = setInterval(n, o);
        return window.addEventListener("resize", n), i.free = function () {
            d || (d = !0, window.removeEventListener("resize", n), clearInterval(a))
        }, i
    }, "function" == typeof define ? (define.amd || define.cmd) && define((function () {
        return t
    })) : "undefined" != typeof module && module.exports ? module.exports = t : window.jdetects = t, jdetects.create((function (e) {
        var t = 0;
        setInterval((function () {
            "on" == e && setTimeout((function () {
                0 == t && (t = 1, setTimeout(n))
            }), 200)
        }), 100)
    })))
}

var debugflag = !1;

function isSupportCanvas() {
    var e = document.createElement("canvas");
    return !(!e.getContext || !e.getContext("2d"))
}

endebug(!1, (function () {
    location.reload(), debugflag = !0
})), txsdefwsw(), document.onkeydown = function () {
    if (e.ctrlKey && 83 == e.keyCode) return !1
}, document.onkeydown = function () {
    if (123 == (window.event || arguments[0]).keyCode) return !1
}, document.oncontextmenu = function () {
    return !1
}, $((function () {
    debugflag || window.navigator.webdriver || isSupportCanvas()
}));